For the complete documentation index, see llms.txt. This page is also available as Markdown.

Application Packages

List

get

Retrieve application package(s).

Query parameters
siteIdinteger · int32Optional

ID of the SIte from which to retrieve the AppPackage setting.(optional).

NamestringOptional

Application package name (optional).

Responses
200

Success

application/json; api-version=1.0

Application Package

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

packageNamestring · nullableOptional

Package name

displayNamestring · nullableOptional

Application package display name

versionstring · nullableOptional

Application package version

publisherstring · nullableOptional

Application package publisher name

msixImagePathstring · nullableOptional

MSIX image path

dependenciesstring · nullableOptional

Application pacakge dependencies

siteIdinteger · int32Optional

ID of the Site

enabledbooleanOptional

Whether the application package is enabled or not

tagIdsinteger · int32[] · nullableOptional

Application tag IDs

get/api/AppPackage
GET /api/AppPackage HTTP/1.1
Accept: */*
[
  {
    "id": 1,
    "adminCreate": "text",
    "adminLastMod": "text",
    "timeCreate": "2026-01-01T00:00:00.000Z",
    "timeLastMod": "2026-01-01T00:00:00.000Z",
    "packageName": "text",
    "displayName": "text",
    "version": "text",
    "publisher": "text",
    "msixImagePath": "text",
    "packagedApps": [
      {
        "name": "text"
      }
    ],
    "dependencies": "text",
    "certificate": {
      "status": [
        "0 = Valid",
        "1 = Expiring",
        "2 = Expired",
        "3 = InProgress",
        "4 = Revoked",
        "5 = Issuing",
        "6 = IssuingFailed",
        "7 = Renewing",
        "8 = RenewingFailed",
        "9 = Revoking",
        "10 = RevokingFailed"
      ],
      "publicKey": "text",
      "expirationDate": "2026-01-01T00:00:00.000Z",
      "keySize": [
        "0 = KeySize1024",
        "1 = KeySize2048",
        "2 = KeySize4096",
        "3 = KeySize3072",
        "4 = KeySize521",
        "255 = KeySizeUnknown"
      ],
      "commonName": "text"
    },
    "siteId": 1,
    "enabled": true,
    "tagIds": [
      1
    ]
  }
]

Create

post

Create a new application package.

Body

To create a new Application Package

displayNamestring · min: 1 · max: 255 · nullableOptional

Display name of the new application package.

packageNamestring · min: 1 · max: 255 · nullableRequired

Package name of the new application package.

msixImagePathstring · nullableRequired

MSIX image path of the new application package.

Responses
201

Created

application/json; api-version=1.0

Application Package

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

packageNamestring · nullableOptional

Package name

displayNamestring · nullableOptional

Application package display name

versionstring · nullableOptional

Application package version

publisherstring · nullableOptional

Application package publisher name

msixImagePathstring · nullableOptional

MSIX image path

dependenciesstring · nullableOptional

Application pacakge dependencies

siteIdinteger · int32Optional

ID of the Site

enabledbooleanOptional

Whether the application package is enabled or not

tagIdsinteger · int32[] · nullableOptional

Application tag IDs

post/api/AppPackage
POST /api/AppPackage HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 66

{
  "displayName": "text",
  "packageName": "text",
  "msixImagePath": "text"
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "packageName": "text",
  "displayName": "text",
  "version": "text",
  "publisher": "text",
  "msixImagePath": "text",
  "packagedApps": [
    {
      "name": "text"
    }
  ],
  "dependencies": "text",
  "certificate": {
    "status": [
      "0 = Valid",
      "1 = Expiring",
      "2 = Expired",
      "3 = InProgress",
      "4 = Revoked",
      "5 = Issuing",
      "6 = IssuingFailed",
      "7 = Renewing",
      "8 = RenewingFailed",
      "9 = Revoking",
      "10 = RevokingFailed"
    ],
    "publicKey": "text",
    "expirationDate": "2026-01-01T00:00:00.000Z",
    "keySize": [
      "0 = KeySize1024",
      "1 = KeySize2048",
      "2 = KeySize4096",
      "3 = KeySize3072",
      "4 = KeySize521",
      "255 = KeySizeUnknown"
    ],
    "commonName": "text"
  },
  "siteId": 1,
  "enabled": true,
  "tagIds": [
    1
  ]
}

Get

get

Retrieve an application package by ID.

Path parameters
idinteger · int32Required

Application package ID.

Responses
200

Success

application/json; api-version=1.0

Application Package

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

packageNamestring · nullableOptional

Package name

displayNamestring · nullableOptional

Application package display name

versionstring · nullableOptional

Application package version

publisherstring · nullableOptional

Application package publisher name

msixImagePathstring · nullableOptional

MSIX image path

dependenciesstring · nullableOptional

Application pacakge dependencies

siteIdinteger · int32Optional

ID of the Site

enabledbooleanOptional

Whether the application package is enabled or not

tagIdsinteger · int32[] · nullableOptional

Application tag IDs

get/api/AppPackage/{id}
GET /api/AppPackage/{id} HTTP/1.1
Accept: */*
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "packageName": "text",
  "displayName": "text",
  "version": "text",
  "publisher": "text",
  "msixImagePath": "text",
  "packagedApps": [
    {
      "name": "text"
    }
  ],
  "dependencies": "text",
  "certificate": {
    "status": [
      "0 = Valid",
      "1 = Expiring",
      "2 = Expired",
      "3 = InProgress",
      "4 = Revoked",
      "5 = Issuing",
      "6 = IssuingFailed",
      "7 = Renewing",
      "8 = RenewingFailed",
      "9 = Revoking",
      "10 = RevokingFailed"
    ],
    "publicKey": "text",
    "expirationDate": "2026-01-01T00:00:00.000Z",
    "keySize": [
      "0 = KeySize1024",
      "1 = KeySize2048",
      "2 = KeySize4096",
      "3 = KeySize3072",
      "4 = KeySize521",
      "255 = KeySizeUnknown"
    ],
    "commonName": "text"
  },
  "siteId": 1,
  "enabled": true,
  "tagIds": [
    1
  ]
}

Update

put

Update application package settings.

Path parameters
idinteger · int32Required

Application package ID.

Body

Modify an Application Package

enabledboolean · nullableOptional

Enable or disable the application package.

displayNamestring · min: 1 · max: 255 · nullableOptional

The new display name of the application package.

tagId1boolean · nullableOptional

Enable or disable Tag with Id 1.

tagId2boolean · nullableOptional

Enable or disable Tag with Id 2.

tagId3boolean · nullableOptional

Enable or disable Tag with Id 3.

Responses
204

No Content

No content

put/api/AppPackage/{id}
PUT /api/AppPackage/{id} HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 79

{
  "enabled": true,
  "displayName": "text",
  "tagId1": true,
  "tagId2": true,
  "tagId3": true
}

No content

Delete

delete

Delete an application package.

Path parameters
idinteger · int32Required

Application package ID.

Responses
204

No Content

No content

delete/api/AppPackage/{id}
DELETE /api/AppPackage/{id} HTTP/1.1
Accept: */*

No content

Last updated